import React from "react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faArrowsAlt, faMousePointer, faExpandArrowsAlt, faGripLines, faTag, faPaintBrush, faCrosshairs, faDrawPolygon, faVectorSquare, faHandPaper, faSearch, faMask, faEdit, faSave, faChartLine, faAngleRight, faAngleLeft, faCopy, faCog, faWindowRestore } from "@fortawesome/free-solid-svg-icons";
import FullscreenIcon from "@mui/icons-material/Fullscreen";
import AccessibilityNewIcon from "@mui/icons-material/AccessibilityNew";
var faStyle = {
  width: 16,
  height: 16,
  marginBottom: 'auto'
};
export var iconDictionary = {
  select: function select() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faMousePointer
    });
  },
  pan: function pan() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faHandPaper
    });
  },
  zoom: function zoom() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faSearch
    });
  },
  "上一张": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faAngleLeft
    });
  },
  "下一张": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faAngleRight
    });
  },
  "克隆": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faCopy
    });
  },
  "设置": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faCog
    });
  },
  "全屏": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faExpandArrowsAlt
    });
  },
  "窗口": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faWindowRestore
    });
  },
  "保存": function _() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faSave
    });
  },
  "show-tags": function showTags() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faTag
    });
  },
  "create-point": function createPoint() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faCrosshairs
    });
  },
  "create-box": function createBox() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faVectorSquare
    });
  },
  "create-polygon": function createPolygon() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faDrawPolygon
    });
  },
  "create-expanding-line": function createExpandingLine() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faGripLines
    });
  },
  "create-line": function createLine() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faChartLine
    });
  },
  "show-mask": function showMask() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faMask
    });
  },
  "modify-allowed-area": function modifyAllowedArea() {
    return React.createElement(FontAwesomeIcon, {
      style: faStyle,
      size: "xs",
      fixedWidth: true,
      icon: faEdit
    });
  },
  "create-keypoints": AccessibilityNewIcon,
  window: FullscreenIcon
};
export default iconDictionary;